petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetConvergenceHistory

Gets the array used to hold the convergence history.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetConvergenceHistory(SNES snes,PetscReal *a[],PetscInt *its[],PetscInt *na)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameters

a -array to hold history
its -integer array holds the number of linear iterations (or negative if not converged) for each solve.
na -size of a and its

### Notes

The calling sequence for this routine in Fortran is

      call SNESGetConvergenceHistory(SNES snes, integer na, integer ierr)

This routine is useful, e.g., when running a code for purposes of accurate performance monitoring, when no I/O should be done during the section of code that is being timed.

### Keywords

SNES, get, convergence, history

### See Also

SNESSetConvergencHistory()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages